# -*- encoding : utf-8 -*-
class ApplicationController < ActionController::Base
  # Prevent CSRF attacks by raising an exception.
  # For APIs, you may want to use :null_session instead.
  protect_from_forgery with: :exception

  before_action :configure_permitted_parameters, if: :devise_controller?

protected
  def check_vlibras_api_status
    unless ApiClient.check_status
      flash[:error] = t('error.api.offline')
    end
  end

  def configure_permitted_parameters
    devise_parameter_sanitizer.for(:sign_up) << [ :name, :email, :password, :password_confirmation, :address, :zipcode, :phone ]
  end

end
